# QKeyEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QInputEvent.

### Constructor

- void QKeyEvent(Type type, int key, KeyboardModifiers modifiers, String text, bool autorep, ushort count)

### Constructor Properties

- prototype: The QKeyEvent prototype object
- QKeyEvent createExtendedKeyEvent(Type type, int key, KeyboardModifiers modifiers, unsigned int nativeScanCode, unsigned int nativeVirtualKey, unsigned int nativeModifiers, String text, bool autorep, ushort count)

### Prototype Object Properties

The QKeyEvent prototype object inherits properties from the QInputEvent prototype object and also has the following properties.

- int count()
- bool hasExtendedInfo()
- bool isAutoRepeat()
- int key()
- bool matches(StandardKey key)
- unsigned int nativeModifiers()
- unsigned int nativeScanCode()
- unsigned int nativeVirtualKey()
- String text()

### Instance Properties

QKeyEvent objects have no special properties beyond those inherited from the QKeyEvent prototype object.